## gtk+3.0 3.24.39

=== debian/changelog ===
gtk+3.0 (3.24.39-1ubuntu1) noble; urgency=medium

  * Resynchronize with Debian, remaining changes:
    + debian/control.in: Build-Depend on dh-sequence-translations
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0.symbols for ubuntu_gtk_custom_menu_items.patch
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
      - gitlab_opengl_fallback.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Dec 2023 12:34:11 -0500

gtk+3.0 (3.24.39-1) unstable; urgency=medium

  * New upstream release
  * Drop patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Dec 2023 10:32:30 -0500

gtk+3.0 (3.24.38-6) unstable; urgency=medium

  * d/p/gdk-wayland-Return-pad-devices-querying-for-all-devices.patch:
    Fix a copy/paste error in patch metadata
  * Stop generating d/control from a template
  * Substitute GTK_BINVER_DEP as a substvar rather than using sed.
  * d/rules: Drop some unused sed substitutions
  * libgtk-3-dev: Add Provides for included GIR XML files.
    Representing these by systematic names gir1.2-*-dev, and perhaps
    eventually separating them into their own binary package, will help
    to enable cross-compilation with GObject-Introspection removed by
    a build profile. (Helps: #1030223)
  * d/control: Add ${gir:Depends}, ${gir:Provides} substvars.
    With a newer version of gobject-introspection (currently in
    experimental), these will supersede some of the current hard-coded
    Depends and Provides.
  * d/control: Explicitly build-depend on GIR XML from Gdk-Pixbuf
    and Pango.
    The versions of these packages in testing provide these names.

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Nov 2023 16:30:21 +0000

gtk+3.0 (3.24.38-5ubuntu2) noble; urgency=medium

  * debian/patches/gitlab_opengl_fallback.patch:
    - cherrypick an upstream in-review patch to fix opengl not working on
      some hardware

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 08 Nov 2023 09:48:05 +0200
