## gtk+3.0 3.24.41

=== debian/changelog ===
gtk+3.0 (3.24.41-4ubuntu1.3) noble; urgency=medium

  * missing-sources: Update emojibase to match what was done in gtk 3.24.48
    to update the emoji chooser for Unicode 16 (LP: #2096777)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Jan 2025 14:56:56 -0500

gtk+3.0 (3.24.41-4ubuntu1.2) noble; urgency=medium

  * d/p/glarea-transparency: Fix GLArea transparency regression. (LP: #2077290)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 28 Aug 2024 10:09:51 +0200

gtk+3.0 (3.24.41-4ubuntu1.1) noble-security; urgency=medium

  * SECURITY UPDATE: Library injection from CWD
    - debian/patches/CVE-2024-6655.patch: stop looking for modules in cwd
      in gtk/gtkmodules.c.
    - CVE-2024-6655

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 15 Jul 2024 10:34:54 -0400

gtk+3.0 (3.24.41-4ubuntu1) noble; urgency=medium

  * Resynchronize with Debian, remaining changes:
    + Add Build-Depends: dh-sequence-translations
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0t64.symbols for ubuntu_gtk_custom_menu_items.patch
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
      - gitlab_opengl_fallback.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Apr 2024 18:57:28 -0400

gtk+3.0 (3.24.41-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * d/control, d/rules: Reinstate cloudproviders.
    This has now been rebuilt on the 32-bit architectures.

  [ Simon McVittie ]
  * d/control, d/rules: Reinstate colord integration on 32-bit
  * d/control, d/rules: Reinstate build-time tests on 32-bit
  * d/control: Use a concrete version number for the Breaks/Replaces

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Mar 2024 12:34:40 +0000

gtk+3.0 (3.24.41-3) unstable; urgency=medium

  * d/control, d/tests/control: Drop dependency on adwaita-icon-theme-full.
    This package name was Ubuntu-specific, and was dropped since 45.0-4
    (the Debian version of a-i-t has a Provides for a-i-t-full). Use a
    versioned build-dependency so that we definitely have all of the
    necessary icons to run tests successfully.
    Thanks to Heinrich Schuchardt
  * Temporarily disable tests on 32-bit non-i386 architectures.
    This should help to resolve cyclic build-dependencies during the
    64-bit time_t transition.
  * d/control, d/rules: Temporarily disable colord on 32-bit non-i386.
    This is not yet buildable on the architectures affected by the 64-bit
    time_t transition.
  * d/control, d/rules: Temporarily disable cloudproviders on 32-bit non-x86.
    This is not yet buildable on the architectures affected by the 64-bit
    time_t transition, with a dependency chain involving graphviz and
    GTK 2.
  * d/control, d/tests: Use pkgconf in preference to pkg-config
  * d/control, d/rules: Make it clearer that we are using the correct
    pkgconf.
    We intentionally compile convert-emoji with the build architecture
    pkgconf, because we need to run it during build, but we do not need
    to install it.
  * d/tests/manual: Fix a typo in a comment
  * Fix lintian override for libgtk-3-0t64 containing both GDK and GTK
  * Fix mismatched Lintian override for libgail-3-0t64 name vs. SONAME
  * Add a Lintian override for arch-dep-package-has-big-usr-share.
    This is mostly the GIR XML, which must be in an arch-dep package
    as specified by the GObject-Introspection mini-policy. Keeping it
    in /usr/share means that it can at least be shared between multiple
    installed multiarch instances.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Mar 2024 18:27:58 +0000

gtk+3.0 (3.24.41-2) unstable; urgency=medium

  * d/libgtk-3-0t64.preinst: Remove libgtk-3-0 postrm to avoid loss of
    input method modules during upgrade (Closes: #1065494)
  * d/tests/manual/1065494.sh: Add a manual reproducer for #1065494
  * d/libgtk-3-0t64.postrm.in: Only clean up immodules.cache during purge.
    This avoids input methods becoming briefly unavailable during upgrades.
  * d/libgtk-3-0t64.postrm.in: Avoid recurrence of #1065494 in the future,
    by not deleting immodules.cache (even during purge) unless the immodules
    directory no longer exists.
  * d/tests/1065494-futureproofing: Add a test for recurrence of #1065494.

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Mar 2024 11:23:01 +0000

gtk+3.0 (3.24.41-1.1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Mar 2024 23:52:00 +0000

gtk+3.0 (3.24.41-1.1ubuntu3) noble; urgency=medium

  * Fix FTBFS due to -Werror=implicit-function-declaration on armhf
  * d/p/x-canonical-accel.patch: fix use of implicit function
  * d/p/print-dialog-show-options-of-remote-dnssd-printers: "Fix" (or rather work around) use of undeclared private function from CUPS

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 20 Mar 2024 11:06:08 +0100

gtk+3.0 (3.24.41-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:49:29 +1300

gtk+3.0 (3.24.41-1.1ubuntu1) noble; urgency=medium

  * Resynchronize with Debian, remaining changes:
    + Add Build-Depends: dh-sequence-translations
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0t64.symbols for ubuntu_gtk_custom_menu_items.patch
    + Ubuntu-specific patches:

