=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Dmitry Shachnev <mitya57@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
-Build-Depends: adwaita-icon-theme-full <!nocheck>,
+Build-Depends: adwaita-icon-theme (>= 45.0-4~) <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
@@ -12,12 +12,18 @@
                dh-sequence-translations,
                docbook-xml <!nodoc>,
                docbook-xsl <!nodoc>,
+               dpkg-dev (>= 1.22.5),
                fonts-cantarell <!nocheck>,
                fonts-dejavu-core <!nocheck>,
+               gir1.2-atk-1.0-dev <pkg.gobject-introspection.todo>,
+               gir1.2-cairo-1.0-dev | libgirepository1.0-dev,
                gir1.2-gdkpixbuf-2.0-dev,
+               gir1.2-gio-2.0-dev | libgirepository1.0-dev,
                gir1.2-pango-1.0-dev,
+               gir1.2-xlib-2.0-dev | libgirepository1.0-dev,
                gnome-pkg-tools (>= 0.11),
-               gobject-introspection (>= 1.41.3),
+               gobject-introspection (>= 1.78.1-9~) | libgirepository1.0-dev (>= 1.41.3),
+               gobject-introspection (>= 1.78.1-9~) <cross>,
                gsettings-desktop-schemas <!nocheck>,
                libatk-bridge2.0-dev (>= 2.15.1),
                libatk1.0-dev (>= 2.35.1),
@@ -31,7 +37,6 @@
                libfreetype-dev (>= 2.7.1),
                libfribidi-dev (>= 0.19.7),
                libgdk-pixbuf-2.0-dev (>= 2.40.0),
-               libgirepository1.0-dev (>= 1.39.0),
                libglib2.0-dev (>= 2.57.2),
                libharfbuzz-dev (>= 2.2.0),
                libjson-glib-dev:native,
@@ -52,7 +57,8 @@
                libxrandr-dev (>= 2:1.5.0),
                meson (>= 0.60.0),
                ninja-build,
-               pkg-config,
+               pkgconf,
+               pkgconf:native,
                sassc,
                wayland-protocols (>= 1.17) [linux-any],
                xauth <!nocheck>,
@@ -67,11 +73,13 @@
 Standards-Version: 4.6.2
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/noble
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3/tree/ubuntu/noble
 Homepage: https://www.gtk.org/
 
-Package: libgtk-3-0
+Package: libgtk-3-0t64
+Replaces: libgtk-3-0 (<< 3.24.41-1.1)
+Breaks: libgtk-3-0 (<< 3.24.41-1.1)
 Architecture: any
 Multi-Arch: same
 Depends: adwaita-icon-theme,
@@ -80,7 +88,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
          libgtk-3-common (>= ${source:Version})
-Provides: ${gtk:BinVer}
+Provides: ${t64:Provides}, ${gtk:BinVer}
 Recommends: libgtk-3-bin,
             librsvg2-common
 Suggests: gvfs,
@@ -116,7 +124,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: libgtk-3-0
+Recommends: libgtk-3-0t64
 Breaks: libgtk-3-dev (<< 3.24.30-3~)
 Replaces: libgtk-3-dev (<< 3.24.30-3~)
 Description: common files for the GTK graphical user interface library
@@ -135,7 +143,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
          libgtk-3-common (>= ${source:Version}),
-         libgtk-3-0 (>= ${source:Version})
+         libgtk-3-0t64 (>= ${source:Version})
 Breaks: gtk-3-examples (<< 3.24.13)
 Replaces: gtk-3-examples (<< 3.24.13)
 Description: programs for the GTK graphical user interface library
@@ -173,14 +181,14 @@
          libxinerama-dev,
          libxkbcommon-dev,
          libxrandr-dev,
-         pkg-config,
+         pkgconf,
          wayland-protocols (>= 1.17) [linux-any],
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
          ${cloudProvider:Depends},
          libgtk-3-common (>= ${source:Version}),
-         libgtk-3-0 (= ${binary:Version})
+         libgtk-3-0t64 (= ${binary:Version})
 Provides: gir1.2-gdk-3.0-dev (= ${binary:Version}),
           gir1.2-gdkx11-3.0-dev (= ${binary:Version}),
           ${gir:Provides}
@@ -218,7 +226,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgtk-3-0 (= ${binary:Version})
+         libgtk-3-0t64 (= ${binary:Version})
 Description: example files for GTK 3
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -268,13 +276,16 @@
  format of the cache files allows them to be mmap()ed shared between multiple
  applications, the overall memory consumption is reduced as well.
 
-Package: libgail-3-0
+Package: libgail-3-0t64
+Provides: ${t64:Provides}
+Replaces: libgail-3-0 (<< 3.24.41-1.1)
+Breaks: libgail-3-0 (<< 3.24.41-1.1)
 Architecture: any
 Multi-Arch: same
 Depends: at-spi2-core,
          ${misc:Depends},
          ${shlibs:Depends},
-         libgtk-3-0 (= ${binary:Version})
+         libgtk-3-0t64 (= ${binary:Version})
 Description: GNOME Accessibility Implementation Library -- shared libraries
  Gail implements ATK interfaces for GTK widgets which are dynamically
  loadable at runtime by a GTK application. Once loaded, those parts of
@@ -288,8 +299,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libatk1.0-dev,
-         libgail-3-0 (= ${binary:Version}),
-         pkg-config,
+         libgail-3-0t64 (= ${binary:Version}),
+         pkgconf,
          ${misc:Depends},
          libgtk-3-dev (= ${binary:Version})
 Suggests: libgail-3-doc
@@ -311,7 +322,3 @@
 Description: documentation files of the Gail library
  Gail implements ATK interfaces for GTK widgets which are dynamically
  loadable at runtime by a GTK application. Once loaded, those parts of
- an application that use standard GTK widgets will have a basic level
- of accessibility, without the need to modify the application at all.
- .
- This package contains the documentation files for Gail.
