## gtk+3.0 3.24.41-4ubuntu1.3trisquel1

=== debian/changelog ===
gtk+3.0 (3.24.41-4ubuntu1.3trisquel1) ecne; urgency=medium

  * Apply fix for tooltip on lxde / trisquel-mini.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 13 Aug 2025 12:53:44 +0000
