## gtk+3.0 3.24.43

=== debian/changelog ===
gtk+3.0 (3.24.43-3ubuntu3) oracular; urgency=medium

  * missing-sources: Update emojibase to match what was done in gtk3 3.24.48
    to update the emoji chooser for Unicode 16 (LP: #2096777)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Jan 2025 14:34:43 -0500

gtk+3.0 (3.24.43-3ubuntu2) oracular; urgency=medium

  * Remove obsolete gtk-update-icon-cache package, now built by gtk4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Aug 2024 18:14:56 -0400

gtk+3.0 (3.24.43-3ubuntu1) oracular; urgency=medium

  [ Jeremy Bícha ]
  * Resynchronize with Debian, remaining changes:
    + Add Build-Depends: dh-sequence-translations
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0t64.symbols for ubuntu_gtk_custom_menu_items.patch
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
      - gitlab_opengl_fallback.patch
  * Refresh patches

  [ Alessandro Astone ]
  * debian: Update message-dialog patch to fix build with gcc-14
  * debian: Update unity border radius patch to fix build with gcc-14

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 30 Aug 2024 17:35:24 -0400

gtk+3.0 (3.24.43-3) unstable; urgency=medium

  * Remove cherry-picked patch that broke tray icons in waybar
    (Closes: #1079292)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Aug 2024 11:49:09 -0400

gtk+3.0 (3.24.43-2) unstable; urgency=medium

  * Cherry-pick fixes from upstream gtk-3-24 branch
  * Enable sysprof profiling integration on most architectures (LP: #2077465)
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 20 Aug 2024 16:42:46 -0400

gtk+3.0 (3.24.43-1ubuntu1) oracular; urgency=medium

  * Resynchronize with Debian, remaining changes:
    + Add Build-Depends: dh-sequence-translations
    + Install a settings.ini file to set our themes
    + Update debian/libgtk-3-0t64.symbols for ubuntu_gtk_custom_menu_items.patch
    + Ubuntu-specific patches:
      - 073_treeview_almost_fixed.patch
      - bzg_gtkcellrenderer_grabbing_modifier.patch
      - ubuntu_gtk_custom_menu_items.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - uimanager-guard-against-nested-node-updates.patch
      - x-canonical-accel.patch
      - message-dialog-restore-traditional-look-on-unity.patch
      - 0001-gtk-reftest-Force-icon-theme-to-Adwaita.patch
      - restore_filechooser_typeaheadfind.patch
      - 0001-calendar-always-emit-day-selected-once.patch
      - 0001-gtkwindow-set-transparent-background-color.patch
      - unity-border-radius.patch
      - unity-headerbar-maximized-mode.patch
      - gitlab_opengl_fallback.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 15:08:17 -0400

gtk+3.0 (3.24.43-1) unstable; urgency=high

  * SECURITY UPDATE: New upstream release
    - CVE-2024-6655 Stop looking for modules in cwd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 15:04:37 -0400

gtk+3.0 (3.24.42-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 09:14:10 -0400
