=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gtk+3.0
 Section: libs
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Simon McVittie <smcv@debian.org>, Dmitry Shachnev <mitya57@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme (>= 45.0-4~) <!nocheck>,
@@ -42,6 +42,7 @@
                libjson-glib-dev:native,
                libpango1.0-dev (>= 1.44.0),
                librsvg2-common [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64] <!nocheck>,
+               libsysprof-capture-4-dev (>= 3.40.1) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4],
                libwayland-dev (>= 1.14.91) [linux-any],
                libx11-dev,
                libxcomposite-dev,
@@ -70,11 +71,11 @@
                      libglib2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3
-Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/noble
-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3/tree/ubuntu/noble
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk3.git -b ubuntu/oracular
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtk3/tree/ubuntu/oracular
 Homepage: https://www.gtk.org/
 
 Package: libgtk-3-0t64
@@ -258,24 +259,6 @@
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.
 
-Package: gtk-update-icon-cache
-Section: misc
-Architecture: any
-Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: libgtk-3-bin (<< 3.20.6-1),
-        libgtk2.0-bin (<< 2.24.30-2)
-Replaces: libgtk-3-bin (<< 3.20.6-1),
-          libgtk2.0-bin (<< 2.24.30-2)
-Description: icon theme caching utility
- gtk-update-icon-cache creates mmap()able cache files for icon themes.
- .
- GTK can use the cache files created by gtk-update-icon-cache to avoid a lot
- of system call and disk seek overhead when the application starts. Since the
- format of the cache files allows them to be mmap()ed shared between multiple
- applications, the overall memory consumption is reduced as well.
-
 Package: libgail-3-0t64
 Provides: ${t64:Provides}
 Replaces: libgail-3-0 (<< 3.24.41-1.1)
@@ -322,3 +305,7 @@
 Description: documentation files of the Gail library
  Gail implements ATK interfaces for GTK widgets which are dynamically
  loadable at runtime by a GTK application. Once loaded, those parts of
+ an application that use standard GTK widgets will have a basic level
+ of accessibility, without the need to modify the application at all.
+ .
+ This package contains the documentation files for Gail.
