=== debian/rules ===
--- 
+++ 
@@ -30,10 +30,10 @@
 MODULES_BASE_PATH := $(LIBDIR)/gtk-3.0/$(GTK_BINARY_VERSION)
 
 # package names
-SHARED_PKG := libgtk-$(APIVER)-$(SONAME)
+SHARED_PKG := libgtk-$(APIVER)-$(SONAME)t64
 COMMON_PKG := libgtk-$(APIVER)-common
 DEV_PKG := libgtk-$(APIVER)-dev
-UDEB_PKG := $(SHARED_PKG)-udeb
+UDEB_PKG := libgtk-$(APIVER)-$(SONAME)-udeb
 DOC_PKG := libgtk-$(APIVER)-doc
 BIN_PKG := libgtk-$(APIVER)-bin
 EXAMPLES_PKG := gtk-$(APIVER)-examples
@@ -88,10 +88,20 @@
 	-Dprint_backends=cups,file \
 	$(NULL)
 
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+configure_flags_deb += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
+endif
+
 ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
 configure_flags_deb += -Dcolord=yes
 else
 configure_flags_deb += -Dcolord=no
+endif
+
+ifneq (,$(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4,$(DEB_HOST_ARCH)))
+configure_flags_deb += -Dprofiler=true
+else
+configure_flags_deb += -Dprofiler=false
 endif
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
@@ -171,7 +181,7 @@
 
 override_dh_auto_build: rebuild-emoji
 rebuild-emoji:
-	gcc -o debian/convert-emoji gtk/emoji/convert-emoji.c `pkg-config --cflags --libs json-glib-1.0`
+	gcc -o debian/convert-emoji gtk/emoji/convert-emoji.c $$(${DEB_BUILD_GNU_TYPE}-pkgconf --cflags --libs json-glib-1.0)
 	set -eu; for input in debian/missing-sources/emojibase/packages/data/*/data.raw.json; do \
 		lang=$$(echo $$input | sed -ne 's,^.*/\([a-z][a-z]\)/data.raw.json$$,\1,p'); \
 		output=gtk/emoji/$$lang.data; \
@@ -237,13 +247,3 @@
 override_dh_auto_install:
 	dh_auto_install --builddirectory=debian/build/deb --destdir=debian/install/deb
 ifneq ($(filter %-udeb,$(built_binaries)),)
-	dh_auto_install --builddirectory=debian/build/udeb --destdir=debian/install/udeb
-endif
-
-override_dh_install:
-	# Install custom settings
-	mkdir -p debian/$(SHARED_PKG)/$(CONFDIR)
-	cp debian/settings.ini debian/$(SHARED_PKG)/$(CONFDIR)
-	dh_install -p$(UDEB_PKG) --sourcedir=debian/install/udeb
-	dh_install --remaining-packages --sourcedir=debian/install/deb
-
